Subject: Re: [PATCH 2/2] ACPI Check for backlight support via ACPI video.ko otherwise use vendor ACPI drivers

From: Matthew Garrett <[email-masked]>
Date: Thu, 10 Jul 2008 13:24:54 +0100

On Thu, Jul 10, 2008 at 02:19:04PM +0200, Thomas Renninger wrote:
> On Thursday 10 July 2008 13:53:17 Matthew Garrett wrote:
> > If the ACPI video driver has bound, then using the dcdbas mechanism for
> > backlight control is incorrect. I wasn't aware that any Dells actually
> > implemented that. The correct thing is for userspace to stop using
> > dcdbas if a real backlight control is available, not to cripple the
> > ACPI video driver.
> 
> Yes, I agree.
> Anyway, given the fact that video.ko was rather broken all the time, a 
> reasonable solution for now is to exclude Dells from using it.

No, the problem was that the backlight was simultaneously being altered 
by two pieces of code. kpowersave is doing the backlight control via hal 
(I assume), and hal should simply not provide the Dell backlight control 
on systems that have ACPI video backlight control. There's no need to 
have this policy in the kernel.

> The dcdbas driver writers (I expect Dell itself has its finger on this one) 
> should get informed and solution will be found. video_detect.c probably will 
> help here.

It's a userspace problem and a straightforward userspace solution.

-- 
Matthew Garrett | [email-masked]